/**
  *  \file client/tiles/baseorder.h
  *
  *  (c) 2001-2011 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_TILES_BASEORDER_H
#define PCC_V2_CLIENT_TILES_BASEORDER_H

#include "client/wtile.h"
#include "ui/commands.h"

// FIXME
enum {
    cm_Base_Recycle = cm_ControlScreenFirst + 2000
};

class WBaseOrderTile : public WObjectTypeObserverTile {
    ObjectHolder h;
 public:
    WBaseOrderTile(GObjectType& type);
    void drawData(GfxCanvas& can);
};

class WNarrowBaseOrderTile : public WObjectTypeObserverTile {
 public:
    WNarrowBaseOrderTile(GObjectType& type);
    void drawData(GfxCanvas& can);
};

#endif
